/*
-----------------------------------------------
Licensed under the GPL licenses.
Author:		Coronet Internet Service, Kyoji KATO.
Date:		2011-05-15
URL :		http://blog.coronet-internet.com
----------------------------------------------- */
// get url to array
var get = new Object();
var query = location.search.substr(1).split("&");
for(var array = 0; array < query.length; array++) {
		var wArray = query[array].split("=");
		get[wArray[0]] = wArray[1];
		}

// build connecting to url
var api_path = "http://api.kakaku.com/WebAPI/ItemSearch/Ver1.0/ItemSearch.aspx?";
var api_setkey = "ApiKey=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx";
var api_ofsort = "&SortOrder=";
var api_sort = get['sort'];
var api_setkeyword = "&Keyword=";
var api_keyword = get['keyword'];
var api_ofcategory = "&CategoryGroup=";
var api_category =get['category'];
var api_resultset = "&ResultSet=medium";
var api_hitnum = "&HitNum=7";
var api_page = "&PageNum=";
var currentpage = get['pagenum'];
var api = api_path + api_setkey + api_hitnum + api_ofcategory + api_category + api_ofsort + api_sort + api_resultset + api_page + currentpage + api_setkeyword + api_keyword;
// parse XML to data
var http = new JKL.ParseXML( api );
var data = http.parse();

if(data.Error == null){
// set next search page url
var page_num = parseInt(currentpage)+ 1;
var products_query="keyword="+api_keyword+"&sort="+api_sort+"&category="+api_category+"&pagenum="+page_num;
var product_next_path = "result.html?"+products_query;
// set paging
var totalItems = data.ProductInfo.NumOfResult;
var max_page = Math.ceil(totalItems/7);
		if(max_page >= page_num){
		//generate next link of right navi 
		var right_navLink = document.createElement('a');
     		right_navLink.setAttribute('href', product_next_path);
   	 		right_navLink.innerText ="次ページ";
     		document.getElementById('rightnav').appendChild(right_navLink);
		}
//generate conf_keyword
var decode_keyword = decodeURI(api_keyword);
var search_keyword = document.createTextNode("「"+decode_keyword+"」キーワード検索");
	document.getElementById('searchkeyword').appendChild(search_keyword); 
//generate result num	
var totalItems = document.createTextNode(totalItems);
	document.getElementById('resultsnum').appendChild(totalItems); 
for (var itemsNum = 0; itemsNum <= 7; itemsNum++){
// build product page url
var productItem = data.ProductInfo.Item[itemsNum];
var product_path = "product.html?productId=" + productItem.ProductID;
var productItemUrl = productItem.ImageUrl;
// representation  info of products
var products_list = document.createElement('li');
	products_list.setAttribute('class','store');
var product_link = document.createElement('a');
	product_link.href = product_path; 
	product_link.setAttribute('class','noeffect');
var product_img = document.createElement('span');
	product_img.setAttribute('class','image');
	product_img.style.cssText = "background-image: url("+productItemUrl+");"
	+"margin:15px 0 0 2px;";
	product_link.appendChild(product_img);
var product_comment = document.createElement('span');
	product_comment.innerText = productItem.CategoryName+" > "+productItem.MakerName ;
	product_comment.setAttribute('class','comment');
	product_link.appendChild(product_comment);
var product_name = document.createElement('span');
	product_name.innerText = productItem.ProductName;
	product_name.setAttribute('class','name');
	product_link.appendChild(product_name);
var product_storePrice = document.createElement('span');
	product_storePrice.innerHTML = "￥"+productItem.LowestPrice+"〜<br />";
	product_storePrice.setAttribute('class','price');
	product_link.appendChild(product_storePrice);
var product_starComment = document.createElement('span');
	product_starComment.innerHTML = "カテゴリランキング："+productItem.PvRanking+"位<br />満足度："+productItem.TotalScoreAve;
	product_starComment.setAttribute('class','starcomment');
	product_link.appendChild(product_starComment);
var product_arrow = document.createElement('span');
	product_arrow.setAttribute('class','arrow');
	product_link.appendChild(product_arrow);
products_list.appendChild(product_link);
document.getElementById('pageitem').appendChild(products_list);
}
}else{
var search_keyword = document.createTextNode(data.Error.Message);
	document.getElementById('searchkeyword').appendChild(search_keyword); 
}






